<?php
/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */

// phpcs:disable Magento2.Templates.ThisInTemplate
// phpcs:disable Generic.Files.LineLength.TooLong

/** @var \Magento\Contact\Block\ContactForm $block */
/** @var \Magento\Contact\ViewModel\UserDataProvider $viewModel */

$viewModel = $block->getViewModel();
?>
<?php
	$themeHelper = $this->helper('MGS\Mpanel\Helper\Data');
	$canUsePanel = $themeHelper->acceptToUsePanel();
	$objectManager =  \Magento\Framework\App\ObjectManager::getInstance();
	$storeManager  = $objectManager->get('\Magento\Store\Model\StoreManagerInterface');
	$currentStore       = $storeManager->getStore();


	if($currentStore->getCode() != 'default'){
		$code = 'contact_page_custom_block_'.$currentStore->getCode();
	}else{
		$code = 'contact_page_custom_block';
	}

?>
<style type="text/css">
	.required-captcha.checkbox {
		display: none;
	}
</style>
<div class="contact-form-content">
	<div class="container">
		<div class="row">
			<div class="col-sm-7 contact-forms">
				<h3 class="text-uppercase margin-bottom15"><?php echo __('Send us a message'); ?></h3>
<form class="form contact" action="<?php /* @escapeNotVerified */ echo $block->getFormAction(); ?>" id="contact-form" method="post" data-hasrequired="<?php /* @escapeNotVerified */ echo __('* Required Fields') ?>" data-mage-init='{"validation":{}}'>
					<div class="contact-fields">
						<div class="row">
							<div class="col-md-6">
								<div class="form-group name required">
									<label for="name"><?php echo __('First Name'); ?></label>
									<input name="name" id="name" title="<?php /* @escapeNotVerified */ echo __('First Name') ?>" value="<?php echo $block->escapeHtml($this->helper('Magento\Contact\Helper\Data')->getUserName()) ?>" class="input-text form-control" type="text" data-validate="{required:true}"/>
								</div>
							</div>
							<div class="col-md-6">
								<div class="form-group lname required">
									<label for="lname"><?php echo __('Last Name'); ?></label>
									<input name="lname" id="lname" title="<?php /* @escapeNotVerified */ echo __('Last Name') ?>" value="<?php echo $block->escapeHtml($this->helper('Magento\Contact\Helper\Data')->getUserName()) ?>" class="input-text form-control" type="text" data-validate="{required:true}"/>
								</div>
							</div>
							<div class="col-md-6">
								<div class="form-group email required">
									<label for="email"><?php echo __('Email'); ?></label>
									<input name="email" id="email" title="<?php /* @escapeNotVerified */ echo __('Email') ?>" value="<?php echo $block->escapeHtml($this->helper('Magento\Contact\Helper\Data')->getUserEmail()) ?>" class="input-text form-control" type="email" data-validate="{required:true, 'validate-email':true}"/>
								</div>
							</div>
							<div class="col-md-6">
								<div class="form-group telephone required">
									<label for="telephone"><?php echo __('Phone'); ?></label>
									<input name="telephone" id="telephone" title="<?php /* @escapeNotVerified */ echo __('Phone') ?>" value="" class="input-text form-control" type="text" data-validate="{required:true}" />
								</div>
							</div>
							<div class="col-sm-12">
								<div class="form-group comment required">
									<label for="comment"><?php echo __('Description'); ?></label>
									<textarea name="comment" id="comment" title="<?php /* @escapeNotVerified */ echo __('Description') ?>" class="input-text form-control" cols="5" rows="7" data-validate="{required:true}"></textarea>
								</div>
								<?= $block->getChildHtml('form.additional.info') ?>
							</div>
						</div>
					</div>
					<div class="actions-toolbar">
						<input type="hidden" name="hideit" id="hideit" value="" />
						<button type="submit" title="<?php /* @escapeNotVerified */ echo __('Submit') ?>" class="action submit btn btn-primary">
							<span><?php /* @escapeNotVerified */ echo __('Submit') ?></span>
						</button>
					</div>
				</form>
</div>
<div class="col-sm-5 contact-data">
				<!-- Static block contact_page_custom_block -->
				<?php echo $this->getLayout()->createBlock('Magento\Cms\Block\Block')->setBlockId($code)->setCanUsePanel($canUsePanel)->toHtml(); ?>
			</div>
	</div>
</div></div>

<script type="text/x-magento-init">
    {
        "*": {
            "Magento_Customer/js/block-submit-on-send": {
                "formId": "contact-form"
            }
        }
    }
</script>
